Delete Vendors
curl --request DELETE \
--url https://api.topsort.com/public/v1/catalog-search-service/catalogs/vendors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"<string>"
]
}
'import requests
url = "https://api.topsort.com/public/v1/catalog-search-service/catalogs/vendors"
payload = { "ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['<string>']})
};
fetch('https://api.topsort.com/public/v1/catalog-search-service/catalogs/vendors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Catalog API
Delete Vendors
Delete vendors by ID.
This function won’t error out when trying to delete vendors that don’t exist.
DELETE
/
public
/
v1
/
catalog-search-service
/
catalogs
/
vendors
Delete Vendors
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Body
application/json
The IDs of the vendors to delete.
Minimum array length:
1Required string length:
1 - 255Examples:
["XljzxWf8sfqF", "eBbIYS16vZV3"]
["VENDOR-456"]
["5c30432c-1186-4389-a2f1-577bb8dd5180"]
Response
Successful Response
Was this page helpful?
⌘I